QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    acceleration.cpp \
    keyphase.cpp \
    main.cpp \
    mainwindow.cpp \
    overspeedgroup.cpp \
    overspeedrelay.cpp \
    radial_vibration.cpp \
    seismic_monitor.cpp \
    setpoint.cpp \
    tachometer.cpp \
    velocity.cpp

HEADERS += \
    acceleration.h \
    keyphase.h \
    mainwindow.h \
    overspeedgroup.h \
    overspeedrelay.h \
    radial_vibration.h \
    seismic_monitor.h \
    setpoint.h \
    tachometer.h \
    velocity.h

FORMS += \
    acceleration.ui \
    keyphase.ui \
    mainwindow.ui \
    overspeedgroup.ui \
    overspeedrelay.ui \
    radial_vibration.ui \
    seismic_monitor.ui \
    setpoint.ui \
    tachometer.ui \
    velocity.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

DISTFILES += \
    TSI_Config.pro.user
